import geruecht.controller.databaseController as dc
from geruecht.logger import getDebugLogger

db = dc.DatabaseController()
debug = getDebugLogger()

class Base:
    def deleteDrinkType(self, type):
        debug.info("delete drink type {{ {} }}".format(type))
        db.deleteDrinkType(type)

    def updateDrinkType(self, type):
        debug.info("update drink type {{ {} }}".format(type))
        retVal = db.updateDrinkType(type)
        debug.debug("updated drink type is {{ {} }}".format(retVal))
        return retVal

    def setDrinkType(self, type):
        debug.info("set drink type {{ {} }}".format(type))
        retVal = db.setDrinkType(type)
        debug.debug("seted drink type is {{ {} }}".format(retVal))
        return retVal

    def deletDrinkPrice(self, drink):
        debug.info("delete drink {{ {} }}".format(drink))
        db.deleteDrink(drink)

    def setDrinkPrice(self, drink):
        debug.info("set drink {{ {} }}".format(drink))
        retVal = db.setDrinkPrice(drink)
        debug.debug("seted drink is {{ {} }}".format(retVal))
        return retVal

    def updateDrinkPrice(self, drink):
        debug.info("update drink {{ {} }}".format(drink))
        retVal = db.updateDrinkPrice(drink)
        debug.debug("updated drink is {{ {} }}".format(retVal))
        return retVal

    def getAllDrinkTypes(self):
        debug.info("get all drink types")
        retVal = db.getAllDrinkTypes()
        debug.debug("all drink types are {{ {} }}".format(retVal))
        return retVal

    def getPricelist(self):
        debug.info("get all drinks")
        list = db.getPriceList()
        debug.debug("all drinks are {{ {} }}".format(list))
        return list